  //=========================================================
  //  MusE
  //  Linux Music Editor
  //  $Id: rtctimer.h,v 1.1.2.1 2004/11/26 21:15:31 spamatica Exp $
  //
  //  Most code moved from midiseq.cpp
  //
  //  (C) Copyright 2004 Robert Jonsson (rj@spamatica.se)
  //  (C) Copyright -2004 Werner Schweer (werner@seh.de)
  //=========================================================

#ifndef __RTCTIMER_H__
#define __RTCTIMER_H__

#include "timerdev.h"


//---------------------------------------------------------
//   AlsaTimer
//---------------------------------------------------------

class RtcTimer : public Timer{
    

    public:
       RtcTimer();
       virtual ~RtcTimer();
       
       virtual int initTimer();
       virtual bool setTimerResolution(int resolution);
       virtual int  getTimerResoltution();
       virtual bool setTimerTicks(int tick);
       
       virtual bool startTimer();
       virtual bool stopTimer();
       virtual unsigned long  getTimerTicks();
      
    private:
      int timerFd; 

};

#endif //__ALSATIMER_H__
